<?php
	//---------------------------------------------------------------------------------------------------------
	// 03/Noviembre/2014
	// Versión 1.0 Comprobamos si el usuario ha modificado sus datos y actuamos en consecuencia
	//---------------------------------------------------------------------------------------------------------
	
	//Antes de nada, tenemos que asignar al url a la que redirigiremos al usuario
   // $url_para_redireccion = getUrl_sin_parametros();
	
	

	$accion = dame_valor_variable_global('accion', '');
	if ($accion == 'mod_datos'){
		//Nos envían los datos para registrarnos. Los datos que nos envían empiezan por 'campo_registro'
	$array_campos = array();
	//var_dump($_POST);
		foreach($_POST as $clave => $valor){
			$valor_clave = 'campo_registro_';
			$posicion = strpos($clave, $valor_clave);
			if ($posicion !== false) {
				$array_campos[substr($clave, strlen($valor_clave))] = $valor;
			}
		}
		if (count($array_campos) > 0){
			$widget = 'widget_usuario';
			$texto_a_mostrar = '';
			$correcto = '';
			$funcion = 'mod_datos_personales';
			//tenemos un array con campos, vamos a crear el cliente
			$codigo_cliente = modifica_cliente(Sesion::get('cod_cliente_web'), $array_campos);
			
			if ($codigo_cliente > 0){
				//Sesion::set("mensaje_registro", NULL, traducir("Datos de usuario modificados correctamente."));
				$texto_a_mostrar = traducir('Datos de usuario modificados correctamente.');
				$correcto = 'correcto';
			}else{
				if ($codigo_cliente == 0){
					//Sesion::set("mensaje_registro", NULL, traducir("Ha ocurrido un error al modificar sus datos. Comrpuebe que los datos introducidos son correctos."));
					$texto_a_mostrar = traducir('Ha ocurrido un error al modificar sus datos. Comrpuebe que los datos introducidos son correctos.');
				}else if ($codigo_cliente == -1){
					$texto_a_mostrar = traducir('Lo sentimos pero el email proporcionado está asignado a otro usuario.');
				}
				$correcto = 'error';
			}
            $listaSysMsg->addElement($widget, $texto_a_mostrar, $correcto, $funcion);
			//Sesion::set("pasos_registro", NULL, 0);
		}
	}else if ($accion == 'mod_password'){
		$widget = 'widget_usuario';
		$texto_a_mostrar = '';
		$correcto = '';
		$funcion = 'mod_password_usuario';
		//Vamos a recoger los dos valores que necesita esta función
		$password_usuario = dame_valor_variable_global('campo_registro_password', '');
		$repeticion_password = dame_valor_variable_global('repeticion_password', '');
		$password_actual = dame_valor_variable_global('password_actual', '');
		if (Shop::$configuracion->password_encriptado){
			$password_actual = sha1(str_pad($password_actual, 10));
		}
		//Antes de comenzar, hay que comprobar si existe el pass que nos han pasado
		$sentencia_sql = 'SELECT codigo FROM cliente WHERE password = \'' . $password_actual . '\' AND codigo = \'' . Sesion::get("cod_cliente_web") . '\;';
		$codigo_cliente_password = 0;
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			if ($fila = mysqli_fetch_array($resultado)){
				$codigo_cliente_password = $fila['codigo'];
			}
		}
		if ($codigo_cliente_password > 0){
			//Si los campos son distintos, lo mostramos un un mensaje
			if ($password_usuario != $repeticion_password){
				//Los passwords no coinciden
				//Sesion::set('mensaje_registro', NULL, traducir("Los passwords que ha introducido no coinciden."));
				$texto_a_mostrar = traducir('Los passwords que ha introducido no coinciden.');
				$correcto = 'error';
			}else if ($password_usuario == ''){
				//No ha introducido password
				//Sesion::set('mensaje_registro', NULL, traducir('Debe introducir un password.'));
				$texto_a_mostrar = traducir('Debe introducir un password.');
				$correcto = 'error';
			}else{
				//Vamos a modificar el password del cliente, primero comprobamos si hay que enctriptar
				if (Shop::$configuracion->password_encriptado){
					$password_usuario = sha1(str_pad($password_usuario, 10));
				}
				$sentencia_sql = "UPDATE cliente SET password = '$password_usuario' WHERE codigo = " . Sesion::get("cod_cliente_web");
				mysqli_query($conexionBD, $sentencia_sql);
				//Sesion::set("mensaje_registro", NULL, traducir("Password modificado satisfactoriamente."));
				$texto_a_mostrar = traducir('Password modificado satisfactoriamente.');
				$correcto = 'correcto';
			}
		}else{
			//Sesion::set("mensaje_registro", NULL, traducir("El password actual introducido no se corresponde con su passowrd actual. Por favor, reinténtelo de nuevo."));
			$texto_a_mostrar = traducir('El password actual introducido no se corresponde con su passowrd actual. Por favor, reinténtelo de nuevo.');
			$correcto = 'error';
		}
		//Sesion::set('pasos_registro', NULL, 0);
		$listaSysMsg->addElement($widget, $texto_a_mostrar, $correcto, $funcion);
	}
	//Por último, si tenemos password o email, tenemos que controlar el envío de variables para el tema el botón'Atrás' en el navegador
	if ( ($accion == 'mod_datos') || ( $accion == 'mod_password' ) ){
		//Sesion::setReloadPage(Sesion::getReloadPage() | true);
	}
?>
